/* - All HTML elements have default values for their "margin" and "padding" properties. Giving them the value of "0" makes it easier for us to manipulate the sizes and positioning of elements.
	- The "box-sizing" property defines how the width and height of an element are calculated.
	. This will allow us to control the measurements of elements better.
	- The value "border-box" includes the "padding" and "border" properties of an element to the total height and width in it's computation. */



* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Open Sans', sans-serif;
}

nav {
    /*shorthand property*/
    /*Applied padding to all sides*/
    /*Value is 12.8 pixels based on the root element*/
    /*Creates space from between the ul tag and the nav element*/
    padding: 0.8rem;
    margin-bottom: 2rem;
    border-bottom: 1px solid gray;
    list-style-type: none;
}

nav .nav,
nav .nav-logo {
    margin: 0.5rem;
    /* margin-top: 0.5rem;
    margin-right: 0.5rem;
    margin-bottom: 0.5rem;
    margin-bottom: 0.5rem; */
    /* ----changes elements to inline elements */
    display: inline;
}

#intro {
    /* creates a space between the content if the intro section and its border */
    padding-left: 10%;
    padding-right: 10%;
    padding-top: 2rem;
    padding-bottom: 3rem;

    /* syntax for shorthand */
    /* padding/margin: topvalue rightvalue leftvalue bottomvalue; */

    /* padding/margin: topvalue RLvalue bottomvalue; */



    text-align: center;
}

.header {
    text-align: center
}

#intro h2,
#intro p {
    margin-bottom: 1rem;
}

#intro button {
    color: white;
    font-weight: bold;
    background-color: #c2195b;
    border-radius: 25px;
    font-size: 1rem;
    padding: 1rem;
}

#succeed-info {
    padding: 2rem 10% 3rem;
}

#succeed-info h2 {
    margin-bottom: 1rem;
}

#succeed-info h3 {
    text-align: center;
    margin-bottom: 1rem;
}

#succeed-info .card {
    display: inline-block;
    vertical-align: top;
    min-height: 175px;
    width: 30%;
    margin-left: 0.5rem;
    margin-right: 0.5rem;

}

footer {
    padding: 0.7rem;
}

footer span {
    margin: 0.5rem 0.5rem;
}


#pre-footer {
    background-color: #002540;
    color: white;
}

#pre-footer div {
    display: inline-block;
    vertical-align: top;
    min-height: 150px;
    width: 20%;
    padding: 1.5rem;

}

#pre-footer h3 {
    font-size: 1.5rem;
}

#pre-footer div * {
    margin: 0.5rem;

}